=== debian/changelog ===
euslisp (9.26+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Kei Okada ]
  * mv Makefile.Linux.thread to Makefile.Linux to compatible with Makefile.ARCHDIR
  * fix typo to to -> to
  * remove/fix patches for Makefile.Linux.thread
  * fix arm definition for load-module and closure in eus.c
  * fix for hardening path for LinuxARM
  * remove cpu optimization from Makefile.Linux CPU_OPTIMIZE

  [ Jochen Sprickerhof ]
  * Add MA hints
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 04 Feb 2020 08:00:07 +0100

euslisp (9.26+dfsg-1) unstable; urgency=low

  * Initial debian release (Closes: #942317).

 -- Kei Okada <kei.okada@gmail.com>  Wed, 02 Oct 2019 18:22:53 +0900
