=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	sed -i s/@@DEB_HOST_MULTIARCH@@/${DEB_HOST_MULTIARCH}/ $(CURDIR)/lib/eusrt.l $(CURDIR)/lib/eusglrt.l $(CURDIR)/lisp/l/eusstart.l $(CURDIR)/lisp/image/jpeg/eusjpeg.l
	dh_auto_configure

override_dh_fixperms:
	dh_fixperms
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0755 debian/euslisp-dev/usr/share/euslisp/contrib/talk/akaho/randline
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0755 debian/euslisp-dev/usr/share/euslisp/contrib/talk/akaho/talk.sh
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0755 debian/euslisp-dev/usr/share/euslisp/contrib/talk/akaho/talk2.sh
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0644 debian/euslisp-dev/usr/share/euslisp/contrib/cygwin-check/tzname.c
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0755 debian/euslisp-dev/usr/share/euslisp/lisp/opengl/src/make-util.irix
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0755 debian/euslisp-dev/usr/share/euslisp/lisp/opengl/src/make-util.solaris2
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0755 debian/euslisp-dev/usr/share/euslisp/lisp/tool/clean-ch.sh
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0644 debian/euslisp-dev/usr/share/euslisp/lisp/opengl/src/oglforeign.c.c
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0644 debian/euslisp-dev/usr/share/euslisp/lisp/xwindow/xforeign.c.c
