=== debian/tests/control ===
Tests: euslisp-test
Depends: euslisp, shunit2

Tests: euslisp-all-test
Depends: @, shunit2
