=== debian/changelog ===
euslisp (9.27+dfsg-7) unstable; urgency=medium

  [ Kei OKADA ]
  * remove downstream test on gitlab-salsa,
    use https://tracker.debian.org/pkg/jskeus
    and https://ci.debian.net/packages/j/jskeus/
  * remove debin/test/jskeus-test as well

 -- Kei Okada <kei.okada@gmail.com>  Thu, 03 Sep 2020 07:38:01 +0000

euslisp (9.27+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ Kei OKADA ]
  * add test to check if jskeus is compilable
  * compiler copies it's instance by :copy-compiler, so symid needs to be global. see https://github.com/euslisp/EusLisp/pull/441/commits/bf5b1b244d397ea02a112458f2df47297d20e3a6
  * To avoid (setq *cflags* nil), use "" when CFLAGS is not set
  * use ca-certificates instead of GIT_SSL_NO_VERIFY
  * add Restrictions: needs-internet to debian/tests/control
  * add test to check if comile-file works
  * use file.c/file.h/file.o from file if o is not set
  * lisp/too/makedate: add empty makedata/gitrevision/compilehost, skip these variable from lisp-implementation-version
  * rm debian/patches/always-compile-to-objdir.patch
  * set lisp-implementation-version to show last released date

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jul 2020 16:55:09 +0200

euslisp (9.27+dfsg-5) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Cleanup gitlab-ci.yml

  [ Kei OKADA ]
  * add debian/patches/fix-for-blhc.patch
  * add debian/patches/fix-for-reprotest.patch
  * fix debian/patches/fix-for-reprotest.patch use ${DEB_HOST_MULTIARCH}

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Jul 2020 10:51:11 +0200

euslisp (9.27+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Kei Okada ]
  * add test to check when compile lisp file incldue LINEINTERSECTION3 (geo::line-intersection3), it will not find LINEINTERSECTION3 symbol
  * Use RTLD_GLOBAL so that other dynamic libary can find library symbols.
  * add test to check if lib/llib/unittest.l exists
  * install lib/llib within euslisp-dev

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 May 2020 13:48:33 +0200

euslisp (9.27+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Kei Okada ]
  * use lisp::*deb-host-multiarch* to set arch. This fixes https://ci.debian.net/data/autopkgtest/testing/arm64/e/euslisp/4529309/log.gz

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 13 Mar 2020 12:00:13 +0100

euslisp (9.27+dfsg-2) unstable; urgency=medium

  [ Kei Okada ]
  * add fix-arm-ldflags.patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 11 Mar 2020 09:16:47 +0100

euslisp (9.27+dfsg-1) unstable; urgency=medium

  [ Kei Okada ]
  * EusLisp 9.27 uses OSS gl*const.l files
  * New upstream version 9.27+dfsg
  * fix lisp/image/jpeg/makefile for newer (9.27) version of makefile
  * fix for Makefile.Linux (version 9.27)
  * load /usr/lib/DEB_HOST_MULTIARCH for test/loader.l
  * version 9.27 fixed set-shebang problem
  * EusLisp 9.27 fixed spelling problems
  * EusLisp 9.27 enable to compile multiple arch with Makefile.Linux
  * EusLisp 9.27 fixed LDMODULE argument problems for ARM arch
  * remove deleved patches from series
  * use Makefile.Linux for LinuxARM machine

 -- Kei Okada <kei.okada@gmail.com>  Tue, 25 Feb 2020 04:32:24 +0000
