=== debian/control ===
Source: euslisp
Section: lisp
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kei Okada <kei.okada@gmail.com>
Build-Depends: debhelper-compat (=12), dh-exec, libgl1-mesa-dev, libglu1-mesa-dev, libjpeg-dev, libpng-dev, libpq-dev, libx11-dev, libxext-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/euslisp/EusLisp
Vcs-Git: https://salsa.debian.org/science-team/euslisp.git
Vcs-Browser: https://salsa.debian.org/science-team/euslisp

Package: euslisp
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: xfonts-100dpi, xfonts-75dpi
Description: Lisp based intelligent robots programming system
 euslisp provides executables, library and necessary lisp code for
 running EusLisp language. This provides basic Lisp interpreter, OOP
 functions, geometric class such as edge, plane, polygon, face, hole
 and body. Xlib/OpenGL interfaces.
 .
 This package contains the eus0/eus1/eus2/eusg/eusx/eusgl executable
 and accompanying files.

Package: euslisp-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, euslisp
Description: Development files of Lisp based  intelligent robots programming system
 euslisp-dev provides C language headers and C and Lisp source files
 for developping EusLisp based modulse.
 .
 This package contains *eusdir*/{lisp, include, lib, contrib, demos, models}

Package: euslisp-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Manuals and Documentations of EusLisp programming system
 euslisp-doc contains various README and pdf version of manual of EusLisp
 along with HTML version of the documents.
 .
 This package contains the documentation of EusLisp
