=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,9 @@
 Tests: euslisp-all-test
 Depends: @, shunit2
 
+Tests: euslisp-loadelf-test
+Depends: @, gcc, libc6-dev, shunit2
+
+Tests: euslisp-compile-test
+Depends: @, gcc, libc6-dev, shunit2
+
