## euslisp 9.31%2Bdfsg

=== debian/changelog ===
euslisp (9.31+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Kei Okada ]
  * add debian/patches/fix-localtime-arm32.patch, fix for arm32 build

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 19 Dec 2024 08:44:33 +0100

euslisp (9.31+dfsg-2) unstable; urgency=medium

  [ Kei Okada ]
  * FIX syntax error in (fix debian/tests: skip test for 32bit Arm). from bash
    syntax -> sh syntax
  * Forget to update VERSION in Makefile.generic1

 -- Kei Okada <kei.okada@gmail.com>  Sat, 14 Dec 2024 16:13:37 +0900

euslisp (9.31+dfsg-1) unstable; urgency=medium

  * New upstream version 9.31+dfsg
  * remove patches already applied in upstream
    fix-lintian-typo.patch/fix-makefile-linux-MACHINE.patch
  * fix debian/tests: skip test for 32bit Arm
  * debian/rules: restore lisp/c/eus.c on clean (Closes: #1044517)

 -- Kei Okada <kei.okada@gmail.com>  Wed, 11 Dec 2024 18:46:01 +0900

euslisp (9.30+dfsg-3) unstable; urgency=medium

  [ Kei Okada ]
  * defforeign on ppc64el is not work for float/double, skpping test for now

 -- Kei OKada <kei.okada@gmail.com>  Sun, 05 May 2024 11:42:56 +0900

euslisp (9.30+dfsg-2) unstable; urgency=medium

  * apply patches from upstream
    fix extreme -> extream lintian warnings : https://github.com/euslisp/EusLisp/pull/512
    set MACHINE if not defined : https://github.com/euslisp/EusLisp/pull/514

 -- Kei Okada <k-okada@gmail.com>  Sat, 20 Apr 2024 17:53:20 +0900

euslisp (9.30+dfsg-1) unstable; urgency=medium

  * New upstream version 9.30+dfsg
    - Use 'long int' for timezone (Closes: #1069196)
  * remove patches which already merged in upstream

 -- Kei Okada <kei.okada@gmail.com>  Thu, 18 Apr 2024 17:58:32 +0900

euslisp (9.29+dfsg-1) unstable; urgency=medium

  * New upstream version 9.29+dfsg
  * remove patches already applied in 9.29,
    see https://github.com/euslisp/EusLisp/pull/482
  * fix debian/patches/fix-jpegmemcd-compile-error.patch for 9.29
    (Closes: #1066307)

 -- Kei Okada <kei.okada@gmail.com>  Mon, 15 Apr 2024 17:55:06 +0900

euslisp (9.28+dfsg-2) unstable; urgency=high

  * https://github.com/euslisp/EusLisp/pull/441 update
    lisp/image/jpeg/makefile, update debian/patches/fix-for-hardening.patch
  * https://github.com/euslisp/EusLisp/pull/441 update source code to pass repotest
  * debian/tests/euslisp-all-test: run make command in test directory to build test_foreign.so
  * add error cehck of -Werror=implicit-function-declaration. from dpkg 1.22.6
  * add paches to fix
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1066307, FTBFS:
    jpegmemcd.c:29:3: error: implicit declaration of function
    ‘jpeg_memio_dest’, see https://github.com/euslisp/EusLisp/pull/507

 -- Kei Okada <kei.okada@gmail.com>  Mon, 15 Apr 2024 09:18:14 +0900

euslisp (9.28+dfsg-1) unstable; urgency=medium

  * New upstream version 9.28+dfsg

 -- Kei Okada <kei.okada@gmail.com>  Sat, 05 Feb 2022 15:20:53 +0900
