## euslisp 9.31+dfsg

=== debian/changelog ===
euslisp (9.31+dfsg-3~24.04.1) noble; urgency=medium

  * Backport to Ubuntu 24.04 (LP: #2100570)

 -- Kei Okada <kei.okada@gmail.com>  Wed, 09 Apr 2025 10:15:34 +0900
