=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: euslisp
 Section: lisp
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Kei Okada <kei.okada@gmail.com>
-Build-Depends: debhelper-compat (=12), dh-exec, libgl1-mesa-dev, libglu1-mesa-dev, libjpeg-dev, libpng-dev, libpq-dev, libx11-dev, libxext-dev
+Build-Depends: debhelper-compat (=13), dh-exec, libgl-dev, libglu1-mesa-dev, libjpeg-dev, libpng-dev, libpq-dev, libx11-dev, libxext-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/euslisp/EusLisp
 Vcs-Git: https://salsa.debian.org/science-team/euslisp.git
 Vcs-Browser: https://salsa.debian.org/science-team/euslisp
