=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%euslisp-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
    https://github.com/euslisp/EusLisp/tags \
    (?:.*?/)?v?EusLisp-(\d[\d.]*)\.tar\.gz
