## euslisp 9.32%2Bdfsg

=== debian/changelog ===
euslisp (9.32+dfsg-1) unstable; urgency=medium

  * New upstream version 9.32+dfsg
    Support gcc-15, closes: #1096594, #1105329
  * remove patches already applied in 9.32, see:
    https://github.com/euslisp/EusLisp/pull/525
    https://github.com/euslisp/EusLisp/pull/524
    https://github.com/euslisp/EusLisp/pull/523
    https://github.com/euslisp/EusLisp/pull/522
    https://github.com/euslisp/EusLisp/pull/517

 -- Kei Okada <kei.okada@gmail.com>  Thu, 25 Sep 2025 16:12:19 +0900
