=== debian/changelog ===
euslisp (9.32+dfsg-2) unstable; urgency=medium

  * add debian/patches/fix-arm32.patch: (Closes: #1116349)

 -- Kei Okada <kei.okada@gmail.com>  Tue, 30 Sep 2025 10:20:34 +0900
