=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: euslisp
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Kei Okada <kei.okada@gmail.com>
 Build-Depends: debhelper-compat (=13), dh-exec, libgl-dev, libglu1-mesa-dev, libjpeg-dev, libpng-dev, libpq-dev, libx11-dev, libxext-dev
 Rules-Requires-Root: no
