=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_auto_configure:
	sed -i.orig s/@@DEB_HOST_MULTIARCH@@/${DEB_HOST_MULTIARCH}/g lisp/c/eus.c

execute_before_dh_clean:
	mv lisp/c/eus.c.orig lisp/c/eus.c || true
