=== debian/tests/control ===
Tests: euslisp-test
Depends: euslisp, shunit2

Tests: euslisp-all-test
Depends: @, gcc, g++, libc6-dev, shunit2

Tests: euslisp-loadelf-test
Depends: @, gcc, libc6-dev, shunit2

Tests: euslisp-compile-test
Depends: @, gcc, libc6-dev, libjpeg-dev, shunit2, make
